import 'package:flutter/material.dart';
import 'package:rkm/config/color_palette.dart';
import 'package:rkm/widgets/text_default.dart';

class SubtitleContainers extends StatelessWidget {
  String title;
  double width;
  bool separeted;
  double padding;

  SubtitleContainers({
    required this.title,
    this.width = double.infinity,
    this.separeted = true,
    this.padding = 10
});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: [
        Container(
          padding: EdgeInsets.all(padding),
          width: width,
          color: ColorPalette.white,
          child: TextDefault(text: title,color: ColorPalette.black54),
        ),
        separeted?Divider(color: Colors.black54,endIndent: 10,indent: 10,):Container()
      ],
    );
  }
}
